[+] Search areas for command injections
[+] Found directories and files used for web scripts:
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/etc/apache2/fcgi (drwxrwxr-x 150 150)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/applications/list.cgi (-rw-r--r-- 150 _ssh) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/ftptest.cgi (-rw-r--r-- root _ssh) -> Executable script
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/ftptest.cgi (-rw-r--r-- root _ssh)
[+] -e 's/[[:blank:]]+$//')
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/upload_file.cgi (-rw-r--r-- root _ssh) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/logout.cgi (-rw-r--r-- 150 docker) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/file_upload.cgi (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/file_upload.cgi (-rw-r--r-- 150 _ssh)
[+] path=$(file_upload -s $CONTENT_LENGTH -n 65536 -a --allowed-realms="$REALMS" --allowed-dirs="$DIRS" ) || ret=0
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/local_list.cgi (-rw-r--r-- 150 docker) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/local_list.cgi (-rw-r--r-- 150 docker)
[+] i=$(($i + 1))
[+] files=$(find $1 -type f 2>/dev/null) || croak "find failed: $?"
[+] groups=$(id -Gn $user_name) || croak "find user groups failed"
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/local_del.cgi (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/local_del.cgi (-rw-r--r-- 150 _ssh)
[+] echo "rm '$file' failed with status: $?"
[+] expr $file : '\(/usr/html/local/\(viewer\|operator\|administrator\)/[^/]\+$\)' >/dev/null || continue
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/401.cgi (-rw-r--r-- 150 docker) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/virtualinput/getschemaversions.cgi (-rw-r--r-- 150 messagebus) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/systemlog.cgi (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/systemlog.cgi (-rw-r--r-- 150 _ssh)
[+] trap '[ -z "$tmpfile__" ] || rm -f $tmpfile__' EXIT
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/serverreport.cgi (-rw-r--r-- root _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/serverreport.cgi (-rw-r--r-- root _ssh)
[+] mac=$(parhandclient --nocgi get $p - RAW) ||
[+] tmpdir=$(mktemp -d "$tmpcgidir/${name}XXXXXX") ||
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/serverreport.cgi (-rw-r--r-- root _ssh)
[+] croak "Bad destination file '$1' argument!"
[+] croak "Bad directory '$1' argument!"
[+] croak "Invalid mode '$mode'!"
[+] [ -d $tmpcgidir ] || mkdir -p $tmpcgidir || croak "Error creating '$tmpcgidir'!"
[+] trap 'rm -rf $tmpdir' EXIT
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/pingtest.cgi (-rw-r--r-- 150 _ssh) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/usergroup.cgi (-rw-r--r-- 150 docker) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/tcptest.cgi (-rw-r--r-- root _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/tcptest.cgi (-rw-r--r-- root _ssh)
[+] res=$(tcptest 10 $addr__ $port__ 2>&1) || {
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/login.cgi (-rw-r--r-- 150 docker) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/irissetup.cgi (-rw-r--r-- root messagebus) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/irissetup.cgi (-rw-r--r-- root messagebus)
[+] stat=$(irismgr --valid=$f) || {
[+] position=$($PHC get $isi0d.Position - RAW) || {
[+] [ "$($PHC $PROP_DCIRIS 2>/dev/null || :)" != yes ] ||
[+] [ "$($PHC $PROP_DCIRIS 2>/dev/null || :)" != yes ] || mounted_iris_type=100
[+] [ "$($PHC $PROP_POSIRIS 2>/dev/null || :)" != yes ] ||
[+] [ "$($PHC $PROP_POSIRIS 2>/dev/null || :)" != yes ] || mounted_iris_type=1000
[+] enabled=$($PHC get $isi0d.Enabled - RAW) || {
[+] files=$(tar xvzf $path -C $tmpdir) || {
[+] if [ "$($PHC $PROP_POSIRIS || :)" = yes ]; then
[+] path=$(file_upload -S $CONTENT_LENGTH -n 65536 -a) || {
[+] [ "$($PHC $PROP_DCIRIS 2>/dev/null || :)" = no ] &&
[+] [ "$($PHC $PROP_POSIRIS 2>/dev/null || :)" = no ]; then
[+] [ "$($PHC $PROP_DCIRIS || :)" != yes ] || {
[+] [ "$($PHC $PROP_IRISMGR || :)" != yes ] || {
[+] elif [ "$($PHC $PROP_IRISMGR 2>/dev/null || :)" = yes ]; then
[+] elif [ "$($PHC $PROP_IRISMGR || :)" = yes ]; then
[+] elif [ "$($PHC $PROP_OPTSETUPCAMBLOCKTYPE 2>/dev/null || :)" = cs ] &&
[+] elif [ "$($PHC $PROP_OPTSETUPCAMBLOCKTYPE 2>/dev/null || :)" = i-cs ]; then
[+] if [ "$($PHC $PROP_DCIRIS || :)" = yes ]; then
[+] if [ "$($PHC $PROP_IRISMGR || :)" = yes ]; then
[+] if [ "$($PHC $PROP_POSIRIS || :)" = yes ]; then
[+] $(busctl --verbose call "$@" 2>/dev/null)
[+] $(busctl --verbose get-property "$@" 2>/dev/null)
[+] RET_VAL=$(irismgr $1)
[+] [ "$($PHC $PROP_DCIRIS || :)" = yes ] || {
[+] [ "$($PHC $PROP_POSIRIS || :)" = yes ] && valid_position $COMMAND || {
[+] iis_param_list=$($PHC getgroup $IIS_GROUP || :)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/verify_firewall.cgi (-rw-r--r-- root _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/verify_firewall.cgi (-rw-r--r-- root _ssh)
[+] addrs=$(echo ${addrs#as * } | tr -d \")
[+] addrs=$($net_get IPFilterInputAddresses || :)
[+] enabled=$($net_get IPFilterEnabled || :)
[+] policy=$($net_get IPFilterInputPolicy || :)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/language_viewer.cgi (-rw-r--r-- 150 docker) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/rootpwdsetvalue.cgi (-rw-r--r-- 150 docker) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/adp.sh (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/adp.sh (-rw-r--r-- 150 _ssh)
[+] pid=$(__lua_application_is_running $xmlfile)
[+] pid=$(pidof $APPNAME) || :
[+] lic_status=$($PACKAGE_DIRECTORY/$APPNAME/$APPNAME $LICENSE_CHECK_ARGS)
[+] preupgrade_res=$(chmod 755 $tmp_ld 2>&1) ||
[+] res=$(eval $(__rootpath) $INSTALLER preupgrade
[+] dbus_resp=$($DBUS_REQ_GET_APP_STATUS string:$PACKAGE_DIRECTORY/${APPNAME%.*}/$APPNAME 2>/dev/null)
[+] pid=$(__lua_application_is_running $xmlfile)
[+] pid=$(pidof $APPNAME) || :
[+] res=$($ELFCHECK $tmp_ld/$APPNAME 2>&1) || {
[+] _tmpbakdir=$(mktemp -d /tmp/$APPNAME.XXXXXX 2>&1) || {
[+] content=$(cat $LICFILEPATH.data || :)
[+] deviceid=$(echo $deviceid |tr '[:lower:]' '[:upper:]')
[+] expression=$(echo $licensekey | sed -rn 's/.*<ApplicationID>([[:digit:]]*)<\/ApplicationID>.*<MinimumMajorVersion>([-[:digit:]]*)<\/MinimumMajorVersion>.*<MinimumMinorVersion>([-[:digit:]]*)<\/MinimumMinorVersion>.*<MaximumMajorVersion>([-[:digit:]]*)<\/MaximumMajorVersion>.*<MaximumMinorVersion>([-[:digit:]]*)<\/MaximumMinorVersion>.*<ExpirationDate>([-[:digit:]]*)<\/ExpirationDate>.*<DeviceID>([0-9A-Fa-f]*)<\/DeviceID>.*/applicationid= minmajorversion= minminorversion= maxmajorversion= maxminorversion= expirationdate= deviceid=/p')
[+] if [ "$(echo $err | tr -d [0-9])" ] ||
[+] if [ "$(pidof $APPNAME)" ]; then
[+] licstatus=$(licensekey_cli -a $APPNAME -i $APPID -m $APPMAJORVERSION -n $APPMINORVERSION) || {
[+] res2=$(tar -xf $tmp_package -C $tmp_ld 2>&1) || {
[+] res=$(chmod 775 $PACKAGE_DIRECTORY 2>&1) || {
[+] res=$(eval $(__rootpath) $INSTALLER uninstall) || warning "$res"
[+] res=$(mkdir $PACKAGE_DIRECTORY 2>&1) || {
[+] [ "$APPNAME" ] && [ "$APPNAME" = "$(printf "%s" $APPNAME | sed -e 's/[^[:alnum:]._-]//g')" ] || {
[+] [ -n "$APPMAJORVERSION" ] && [ -z "$(echo $APPMAJORVERSION | sed -e 's/[0-9]//g')" ] || {
[+] [ -n "$APPMINORVERSION" ] && [ -z "$(echo $APPMINORVERSION | sed -e 's/[0-9]//g')" ] || {
[+] [ -z "$(echo $APPID | sed -e 's/[0-9]//g')" ] || {
[+] _first=$(($(($1 << 32)) + $(($2 << 16)) + $_first_u))
[+] _second=$(($(($4 << 32)) + $(($5 << 16)) + $_second_u))
[+] _var=$(tar -Oxf "$_pkg" $ADPPACKCFG | sed "$_sedexpr" ) || {
[+] arch=$($PHC get properties.System.Architecture 2>&1) || {
[+] embdevversion=$($PHC get properties.EmbeddedDevelopment.Version 2>&1) || {
[+] eval $(tar -Oxf "$_pkg" package.conf) || {
[+] if $(. "$file" 2>/dev/null) ; then
[+] if [ "$(dbus-send --system --print-reply --dest=com.axis.RuleEngine /com/axis/RuleEngine com.axis.RuleEngine.GetApplicationStatus string:$PACKAGE_DIRECTORY/$APPNAME/$xmlfile 2>/dev/null)" ]; then
[+] list_resp=$(mktemp $VAR_RUN_DIR/tmp_resp.XXXXXX) || {
[+] res=$(chmod 775 $dest_dir 2>&1) || {
[+] res=$(tar -xzf $tmp_package -C $tmp_ld 2>&1) || {
[+] response=$(curl -i -s -m 75 "http://www.axis.com:80$urn" 2>/dev/null)
[+] resstr=$(cp $keyfile $packdir/$LICFILENAME 2>&1) || {
[+] resstr=$(rm $1 2>&1) || {
[+] resstring=$(rm $packdir/$LICFILENAME 2>&1) || {
[+] state=$(systemctl is-active $service 2>/dev/null) ||:
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/adp.sh (-rw-r--r-- 150 _ssh)
[+] warning "Application '$APPNAME' is running"
[+] information "Application '$APPNAME' is not running"
[+] warning "Application '$APPNAME' can not be started without license installed"
[+] warning "Invalid license. Application '$APPNAME' can not be started"
[+] information "Application '$APPNAME' is not running"
[+] information "Application '$APPNAME' is running already"
[+] error "'$APPNAME' not found or not executable"
[+] error "Cannot find file '$tmp_file'"
[+] error "Upload failed: '$tmp_file'"
[+] error "Cannot find readable file '$tmp_file'"
[+] error "Failed to rename uploaded '$tmp_file' to '$tmp_file_general'"
[+] error "Upload failed: '$tmp_file'"
[+] warning "Could not source (1) '$ADPPACKCFG'"
[+] warning "Could not source (2) '$ADPPACKCFG'"
[+] eval _sedexpr='/$_var=/!d'
[+] information "Installed '$LICFILENAME' for $pack OK"
[+] information "Returning '$APPNAME'"
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/virtualinput/deactivate.cgi (-rw-r--r-- 150 messagebus) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/paramlist.cgi (-rw-r--r-- root _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/paramlist.cgi (-rw-r--r-- root _ssh)
[+] sec=$(echo "$QUERY_STRING" | sed 's/^.*\(sections\).*$//')
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/paramlist.cgi (-rw-r--r-- root _ssh)
[+] sed -e 's/\([[:blank:]]*passwd[[:blank:]]*=[[:blank:]]*\[\)[[:print:]]*\([[:blank:]]*\]\)/ "******" /g;s/\(^.*[Pp][Aa][Ss][Ss][Ww][Oo][Rr][Dd][[:blank:]]*=\).*$/ "*****"/g;s/\(^.*[Pp][Aa][Ss][Ss][[:blank:]]*=\).*$/ "*****"/g;s/\(^Passphrase[[:blank:]]*=\).*$/ "*****"/g;s/\(^Key[1234 ][[:blank:]]*=\).*$/ "*****"/g'
[+] sed -e 's/\(^.*[Pp][Aa][Ss][Ss][Ww][Oo][Rr][Dd]=\).*$/"*****"/g;s/\(^.*[Pp][Aa][Ss][Ss]=\).*$/"*****"/g;s/\(^.*Passphrase=\).*$/"*****"/g;s/\(^.*Wireless.*\.Key[1234]*=\).*$/"*****"/g'
[+] sec=$(echo "$QUERY_STRING" | sed 's/^.*\(sections\).*$//')
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/applications/info.cgi (-rw-r--r-- 150 _ssh) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/limited_access.sh (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/limited_access.sh (-rw-r--r-- 150 _ssh)
[+] _checksum=$($CHECKSUM_CMD "$_eap_path" || :)
[+] for _line in $(tar -Oxf $1 $PKG_CONF_FILE); do
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/connection_list.cgi (-rw-r--r-- root _ssh) -> Executable script
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/connection_list.cgi (-rw-r--r-- root _ssh)
[+] done <$serv_f || croak "Couldn't read file '$serv_f'"
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/ipfilter.cgi (-rw-r--r-- root _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/ipfilter.cgi (-rw-r--r-- root _ssh)
[+] cfg_addr_len=$(($cfg_addr_len + 1))
[+] cfg_dict_len=$(($cfg_dict_len + 1))
[+] cfg_dict_len=$(($cfg_dict_len + 1))
[+] current_addrs=$(echo ${current_addrs#as * } | tr -d \")
[+] [ -z "$ipaddress" ] || ipaddress=$(echo $ipaddress | urldecode)
[+] current_addrs=$($net_get IPFilterInputAddresses || :)
[+] current_enabled=$($net_get IPFilterEnabled || :)
[+] current_policy=$($net_get IPFilterInputPolicy || :)
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/ipfilter.cgi (-rw-r--r-- root _ssh)
[+] error "Invalid ipadress: '$ipaddress' does"
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/preserve.sh (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/preserve.sh (-rw-r--r-- 150 _ssh)
[+] group_name=$(r=${APPNAME#?};f=${APPNAME%$r};echo $(echo $f | tr [:lower:] [:upper:])$r)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/virtualinput/activate.cgi (-rw-r--r-- 150 messagebus) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/vaconfig.cgi (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/vaconfig.cgi (-rw-r--r-- 150 _ssh)
[+] if [ "$($DBUS_REQ_START_APP string:$fpath 2>/dev/null)" ]; then
[+] if [ "$($DBUS_REQ_ADD_APP string:$fpath 2>/dev/null)" ]; then
[+] if [ "$($DBUS_REQ_REMOVE_APP string:$fpath 2>/dev/null)" ]; then
[+] if [ "$($DBUS_REQ_GET_APP_STATUS string:$fpath 2>/dev/null)" ]; then
[+] resp=$($DBUS_REQ_GET_APP_STATUS string:$PACKAGE_DIRECTORY/${APPNAME%.*}/$APPNAME 2>/dev/null)
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/vaconfig.cgi (-rw-r--r-- 150 _ssh)
[+] __error internal "Failed to start application '$1'"
[+] warning "Failed to start application '$fpath'"
[+] __error internal "Failed to add application '$1'"
[+] warning "Failed to add application '$fpath'"
[+] __error internal "Failed to stop application '$1'"
[+] warning "Failed to stop application '$fpath'"
[+] __error bad_request "Invalid action '$va_action'"
[+] __error internal "Failed to get configuration for '$1'"
[+] __error no_such_application "No application '$1' available for configuration."
[+] __error no_such_application "No application '$1' exists"
[+] __error no_such_application "No application '$1' supported for configuration."
[+] error "Could not find application '$1'"
[+] error "Could not read the file '$fpath'"
[+] error "Could not source configuration file '$fpath'"
[+] error "Could not source the package configuration file '$fpath'"
[+] information "Application '$1' is not started, not available for configuration for '$userstr'."
[+] information "Application '$1' is not supported for configuration"
[+] information "Could not find application '$1'"
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/dnsupdate.cgi (-rw-r--r-- root _ssh) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/applications (drwxrwxr-x 150 _ssh)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/applications/list.cgi (-rw-r--r-- 150 _ssh) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/applications/info.cgi (-rw-r--r-- 150 _ssh) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/certificate2 (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/clientnotes (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/debug (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/geolocation (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/io (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/ledcontrol (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/adp.sh (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/adp.sh (-rw-r--r-- 150 _ssh)
[+] pid=$(__lua_application_is_running $xmlfile)
[+] pid=$(pidof $APPNAME) || :
[+] lic_status=$($PACKAGE_DIRECTORY/$APPNAME/$APPNAME $LICENSE_CHECK_ARGS)
[+] preupgrade_res=$(chmod 755 $tmp_ld 2>&1) ||
[+] res=$(eval $(__rootpath) $INSTALLER preupgrade
[+] dbus_resp=$($DBUS_REQ_GET_APP_STATUS string:$PACKAGE_DIRECTORY/${APPNAME%.*}/$APPNAME 2>/dev/null)
[+] pid=$(__lua_application_is_running $xmlfile)
[+] pid=$(pidof $APPNAME) || :
[+] res=$($ELFCHECK $tmp_ld/$APPNAME 2>&1) || {
[+] _tmpbakdir=$(mktemp -d /tmp/$APPNAME.XXXXXX 2>&1) || {
[+] content=$(cat $LICFILEPATH.data || :)
[+] deviceid=$(echo $deviceid |tr '[:lower:]' '[:upper:]')
[+] expression=$(echo $licensekey | sed -rn 's/.*<ApplicationID>([[:digit:]]*)<\/ApplicationID>.*<MinimumMajorVersion>([-[:digit:]]*)<\/MinimumMajorVersion>.*<MinimumMinorVersion>([-[:digit:]]*)<\/MinimumMinorVersion>.*<MaximumMajorVersion>([-[:digit:]]*)<\/MaximumMajorVersion>.*<MaximumMinorVersion>([-[:digit:]]*)<\/MaximumMinorVersion>.*<ExpirationDate>([-[:digit:]]*)<\/ExpirationDate>.*<DeviceID>([0-9A-Fa-f]*)<\/DeviceID>.*/applicationid= minmajorversion= minminorversion= maxmajorversion= maxminorversion= expirationdate= deviceid=/p')
[+] if [ "$(echo $err | tr -d [0-9])" ] ||
[+] if [ "$(pidof $APPNAME)" ]; then
[+] licstatus=$(licensekey_cli -a $APPNAME -i $APPID -m $APPMAJORVERSION -n $APPMINORVERSION) || {
[+] res2=$(tar -xf $tmp_package -C $tmp_ld 2>&1) || {
[+] res=$(chmod 775 $PACKAGE_DIRECTORY 2>&1) || {
[+] res=$(eval $(__rootpath) $INSTALLER uninstall) || warning "$res"
[+] res=$(mkdir $PACKAGE_DIRECTORY 2>&1) || {
[+] [ "$APPNAME" ] && [ "$APPNAME" = "$(printf "%s" $APPNAME | sed -e 's/[^[:alnum:]._-]//g')" ] || {
[+] [ -n "$APPMAJORVERSION" ] && [ -z "$(echo $APPMAJORVERSION | sed -e 's/[0-9]//g')" ] || {
[+] [ -n "$APPMINORVERSION" ] && [ -z "$(echo $APPMINORVERSION | sed -e 's/[0-9]//g')" ] || {
[+] [ -z "$(echo $APPID | sed -e 's/[0-9]//g')" ] || {
[+] _first=$(($(($1 << 32)) + $(($2 << 16)) + $_first_u))
[+] _second=$(($(($4 << 32)) + $(($5 << 16)) + $_second_u))
[+] _var=$(tar -Oxf "$_pkg" $ADPPACKCFG | sed "$_sedexpr" ) || {
[+] arch=$($PHC get properties.System.Architecture 2>&1) || {
[+] embdevversion=$($PHC get properties.EmbeddedDevelopment.Version 2>&1) || {
[+] eval $(tar -Oxf "$_pkg" package.conf) || {
[+] if $(. "$file" 2>/dev/null) ; then
[+] if [ "$(dbus-send --system --print-reply --dest=com.axis.RuleEngine /com/axis/RuleEngine com.axis.RuleEngine.GetApplicationStatus string:$PACKAGE_DIRECTORY/$APPNAME/$xmlfile 2>/dev/null)" ]; then
[+] list_resp=$(mktemp $VAR_RUN_DIR/tmp_resp.XXXXXX) || {
[+] res=$(chmod 775 $dest_dir 2>&1) || {
[+] res=$(tar -xzf $tmp_package -C $tmp_ld 2>&1) || {
[+] response=$(curl -i -s -m 75 "http://www.axis.com:80$urn" 2>/dev/null)
[+] resstr=$(cp $keyfile $packdir/$LICFILENAME 2>&1) || {
[+] resstr=$(rm $1 2>&1) || {
[+] resstring=$(rm $packdir/$LICFILENAME 2>&1) || {
[+] state=$(systemctl is-active $service 2>/dev/null) ||:
[+] Found '.*$.*' in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/adp.sh (-rw-r--r-- 150 _ssh)
[+] warning "Application '$APPNAME' is running"
[+] information "Application '$APPNAME' is not running"
[+] warning "Application '$APPNAME' can not be started without license installed"
[+] warning "Invalid license. Application '$APPNAME' can not be started"
[+] information "Application '$APPNAME' is not running"
[+] information "Application '$APPNAME' is running already"
[+] error "'$APPNAME' not found or not executable"
[+] error "Cannot find file '$tmp_file'"
[+] error "Upload failed: '$tmp_file'"
[+] error "Cannot find readable file '$tmp_file'"
[+] error "Failed to rename uploaded '$tmp_file' to '$tmp_file_general'"
[+] error "Upload failed: '$tmp_file'"
[+] warning "Could not source (1) '$ADPPACKCFG'"
[+] warning "Could not source (2) '$ADPPACKCFG'"
[+] eval _sedexpr='/$_var=/!d'
[+] information "Installed '$LICFILENAME' for $pack OK"
[+] information "Returning '$APPNAME'"
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/limited_access.sh (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/limited_access.sh (-rw-r--r-- 150 _ssh)
[+] _checksum=$($CHECKSUM_CMD "$_eap_path" || :)
[+] for _line in $(tar -Oxf $1 $PKG_CONF_FILE); do
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/preserve.sh (-rw-r--r-- 150 _ssh) -> Executable script
[+] Found $(.*$.*) in ./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/preserve.sh (-rw-r--r-- 150 _ssh)
[+] group_name=$(r=${APPNAME#?};f=${APPNAME%$r};echo $(echo $f | tr [:lower:] [:upper:])$r)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/lib/language (drwxrwxr-x 150 docker)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/mqtt (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/prod_brand_info (drwxrwxr-x 150 docker)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/secure_boot (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/virtualinput (drwxrwxr-x 150 150)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/virtualinput/getschemaversions.cgi (-rw-r--r-- 150 messagebus) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/virtualinput/deactivate.cgi (-rw-r--r-- 150 messagebus) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/html/axis-cgi/virtualinput/activate.cgi (-rw-r--r-- 150 messagebus) -> Executable script
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/usr/lib/systemd/system/debugar-cgi.service.d (drwxrwxr-x root root)
./logs/firmware/patool_extraction/rootfs.img_unblob_extracted/rootfs.img_extract/0-50593792.squashfs_v4_le_extract/var/cache/httpd/cgi (drwxrwxr-x root _ssh)